Bug 852259 - Outdated parameter "-n" is shown when creating application without existing namespace
Outdated parameter "-n" is shown when creating application without existing n...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-27 23:36 EDT by joycezhang
Modified: 2015-05-14 22:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-06 13:48:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description joycezhang 2012-08-27 23:36:26 EDT
Description of problem:
The message is need to be updated as it's still displayed with outdated parameter "n" when creating app without existing namespace.

rhc app create -a ruby18 -t ruby-1.8 -p a
Problem reported from server. Response code was 403.
Re-run with -d for more information.

MESSAGES:
Please create a domain with 'rhc domain create -n <namespace>' before creating applications.


Version-Release number of selected component (if applicable):
rhc-0.98.3

How reproducible:
always


Steps to Reproduce:
1. Try to create an app without domain created.
2.
3.
  
Actual results:
The error message is displayed with old command paramter "-n".


Expected results:
The error message should be updated without parameter "-n" like below:

MESSAGES:
Please create a domain with 'rhc domain create <namespace>' before creating applications.

Additional info:
It works fine when using "rhc domain show" without domain created as below:

# rhc domain show
Password: ******


User Info
=========
Namespace: No namespaces found. You can use 'rhc domain create <namespace>' to create a namespace for your applications.

Login: jinzhang+5@redhat.com
Comment 1 John (J5) Palmieri 2012-10-04 13:24:47 EDT
in fork
Comment 2 Chandrika Gole 2012-10-04 15:41:34 EDT
verified this on AMI: fork_ami_US2597_US2599_US2813_US2817_US2872_US2816_US2814_207 (ami-a50eb3cc)

[root@ip-10-245-205-215 ~]# rhc app  create -a a1 -t php-5.3
To connect to localhost enter your OpenShift login (email or Red Hat login id): cgole+10@redhat.com
Password: 

No domains configured for this user.  You may create one using 'rhc domain create'.

Note You need to log in before you can comment on or make changes to this bug.